# @lfk/selfservice

runner selfservice portal

## ⚡ Development
### Requirements
- Node.js v14.15.0 or newer
- yarn package manager >= v1.22.10 < 2

### Recommended Extensions
- will be automatically recommended via `./vscode/extensions.json`
- we also provide a config for i18n-ally in the `./vscode/` folder

### Fastest Dev Environment
- You can install the [Remote - Containers](https://github.com/Microsoft/vscode-remote-release) extension and use all recommended extensions and editor settings via the provided `./devcontainer/` config

## 🔨 environment config
- copy the `/public/env.sample.js` file to `/public/env.js`
- set the required environment variables
  - `documentserver_key`: url to the [document server](https://git.odit.services/lfk/document-server) instance
  - `baseurl`: url to the main instance
  - see [@lfk/deployment](https://git.odit.services/lfk/deployment) for a complete deployment guide